---
title: DELETE Patient
slug: delete-patient
icon: 🟥
createdAt: 2022-03-23T01:57:46.000Z
---

**Important notes:**

- `patientId`  is the field needed to tie the Patient in FeatherPay DB to the PMS Patient.  This ID can represent the FeatherPay ID OR the Patient's PMS ID;

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://gfp-api.acdev.io/api/v1/patients/{patientId}",
  "name": "Create / Update patient",
  "method": "DELETE",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "c0f7bjPcqHaJiKYiBqEF0",
        "code": "{\n  \"deleted\": true,\n  \"numSuccess\": 1,\n  \"numFailure\": 0,\n  \"errorMessages\": []\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "c0f7bjPcqHaJiKYiBqEF0"
  },
  "examples": {
    "languages": [
      {
        "id": "TsJH4BARuElrAzdNuPV8E",
        "code": "curl -X DELETE \\\n  --url 'https://gfp-api.acdev.io/api/v1/patients/307' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}' ",
        "language": "json",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "TsJH4BARuElrAzdNuPV8E"
  },
  "description": "From your backend code, delete the patient with your store id and private key.",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::



